kotlin日常编译失败

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/the_spring/article/details/79961328

一:Your version of Kotlin runtime in 'Gradle: org.jetbrains.kotlin:kotlin-stdlib:1.1.51@jar
     

使用的是Android Studio3.1;

ext.kotlin_version = '1.2.31'

这个地方之前没问题,突然一直compile不通过,google了一番,解决方法如下:

工具栏:Tools->kotlin->kotlin plugin update

下载相应版本的插件即可。

二:What does "update runtime libray" mean?

更新工程的build.gradle中的
ext.kotlin_version = '1.2.41'
改成最新的就ok了

三:Please change the configuration name to 'kapt' for these artifacts: 'com.android.databinding:compiler:3.1.2'.

骚年,不要犹豫了,一定是你代码写的有问题,编译错误了


没有更多推荐了,返回首页

私密
私密原因:
请选择设置私密原因
  • 广告
  • 抄袭
  • 版权
  • 政治
  • 色情
  • 无意义
  • 其他
其他原因:
120
出错啦
系统繁忙,请稍后再试